Bulk soft-delete metadata
curl --request POST \
--url https://api.example.com/utils/metadata/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Project-ID: <x-project-id>' \
--data '
{
"items": [
{
"resource_uri": "<string>",
"fqn": "<string>",
"version": "*"
}
]
}
'import requests
url = "https://api.example.com/utils/metadata/delete"
payload = { "items": [
{
"resource_uri": "<string>",
"fqn": "<string>",
"version": "*"
}
] }
headers = {
"X-Project-ID": "<x-project-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Project-ID': '<x-project-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({items: [{resource_uri: '<string>', fqn: '<string>', version: '*'}]})
};
fetch('https://api.example.com/utils/metadata/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"fqn": "<string>",
"message": "<string>"
}
],
"errors": [
{
"fqn": "<string>",
"detail": "<string>"
}
]
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}metadata
Bulk soft-delete metadata
Soft-delete multiple metadata entities with cascade.
POST
/
utils
/
metadata
/
delete
Bulk soft-delete metadata
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Request body for bulk delete metadata.
Required array length:
1 - 100 elementsShow child attributes
Show child attributes
Was this page helpful?
⌘I

